Package Details: oscam-svn 11225-1

Git Clone URL: (read-only)
Package Base: oscam-svn
Description: The Open Source Conditional Access Module daemon
Upstream URL:
Licenses: GPL3
Conflicts: oscam
Provides: oscam
Submitter: None
Maintainer: jhernberg
Last Packager: jhernberg
Votes: 10
Popularity: 0.001447
First Submitted: 2011-01-22 15:09
Last Updated: 2016-04-05 12:03

Required by (2)

Sources (2)

Latest Comments

jhernberg commented on 2016-04-05 12:24

Actually after browsing some, i think this is ok anyways. Supposedly it uses TSLv1.2, though I haven't verified.

jhernberg commented on 2016-04-05 12:09

Don't think oscam has fixed this yet, please let me know if they take care of the problem and I'll try to update the buildscript again.

jhernberg commented on 2016-04-05 12:05

I did a quick fix of the build by disabling SSL. I suppose the real fix would be to build another openssl package for the aur with sslv3 support and statically link it into oscam, but I really can't be bothered ;) Sorry if you really need it!

slashme commented on 2016-03-16 12:49

I believe openssl in arch is built without sslv3 support since 1.0.2g. You can build oscam without ssl support by removing USE_SSL=1 in PKGBUILD.

Frans-Willem commented on 2016-03-10 11:01

Is anyone else encountering compilation errors regarding SSLv3_server_method not being defined ?

jhernberg commented on 2014-02-16 16:03

@elpadre: Sure, but is there any pressing need to add it? I've asked the archdevs and they tell me that armv6h isn't an officially supported platform, thus shouldn't be used in a build script. Surely anyone that wants to build it can just edit the script? Personally I use devtools and build everything in a chroot, and editing the script to add armv6h would be a matter of 15 secs or so.

I'm really not trying to be difficult or against armv6h, just trying to make my scripts abide by the archlinux standards and policies...

elpadre commented on 2014-02-16 14:35

well, arch=('armv6h') works fine, is is the architecture of the Raspberry Pi which has sold 2 million units in its short existance. It is excellent to run oscam as it is small, consumes only 1amp and cheap (about 35 euro)

jhernberg commented on 2013-05-08 07:55

I've added After=tmp.mount to the service file, should work if the mounting of /tmp was what messed up the socket. Probably a better place for it would bin in /run, but I'm not going to make such a change since it will break all packages using oscam...

I've asked the devs, and they say that the only valid archs are i686, and x86_64, so I'm not going to add another one to the build. Easy enough for the user to do himself if he needs to.

Have added suversion as a makedepend, but don't think make and gcc need to be explicitly specified. In any case it builds fine in a chroot, so I think the build is ok.

elpadre commented on 2013-04-28 19:43

can you add armv6h to arch?
Also subversion, make and gcc are also dependencies

elpadre commented on 2013-04-28 18:02

can you add armv6h to arch?
Also subversion, make and gcc are also dependencies

All comments